<bugID>486707<Summary>unable to search through the whole history in the Library</Summary><Description>In the Library, when you click on the top "History" item on the left side, you can't use the Library's search input field.
If you try, the search result will only show the folders "Today", "This month", etc.

I'd expect that in this case the search would look into all History containers, like it's done in the History sidebar or in the Library itself, when searching through all bookmarks on the "All Bookmarks" directory.</Description></bugID>